2004-06-22 14:31  larsa

	* NEWS, configure.ac:
	
	stamp version 2.3.0

2004-06-22 14:17  larsa

	* Makefile.am:
	
	dist fixes

2004-06-22 14:17  larsa

	* NEWS, README, RELNOTES, docs/announcement-2_3_0.txt:
	
	doc updates

2004-06-22 14:10  larsa

	* docs/: ChangeLog.v2.3.0, announcement-2_3_0.txt:
	
	stubs

2004-06-22 14:08  larsa

	* src/: elements/SoTextureCombineElement.cpp,
	nodes/SoTextureCombine.cpp:
	
	\since updates

2004-06-18 15:48  pederb

	* src/fields/SoMField.cpp:
	
	Auto-expand array in set1(). Problem reported by Gerhard Reitmayr.

2004-06-18 10:32  mortene

	* src/misc/SoDB.cpp:
	
	Add some more sanity checking for global field resource clean-ups.

2004-06-18 10:31  mortene

	* src/misc/SoBase.cpp:
	
	Update code to match corrected semantics of
	SoGlobalField::removeGlobalFieldContainer().

2004-06-18 10:22  mortene

	* src/fields/SoGlobalField.cpp:
	
	Free up static resources for release builds. Sanity check for nr of
	fields to always be just 1.

2004-06-18 09:51  mortene

	* include/Inventor/lists/SoBaseList.h, src/lists/SoBaseList.cpp:
	
	Override superclass's removeItem() function, so dereferencing is
	properly done.

2004-06-18 09:14  mortene

	* src/threads/thread.c:
	
	Compile fix: missing include.

2004-06-17 15:51  mortene

	* src/misc/SoBase.cpp:
	
	Clean-up: improve readability of (too) long function.

2004-06-17 15:07  jornskaa

	* include/Inventor/fields/SoGlobalField.h,
	src/fields/SoGlobalField.cpp, src/misc/SoBase.cpp:
	
	Fixed bug that might cause the creation of several equal global
	fields

2004-06-17 11:07  pederb

	* src/fonts/win32.c:
	
	Fixes some memory leaks. Reported by dan @ goldensoftware.

2004-06-16 17:25  pederb

	* src/threads/: mutex.c, recmutex.c, sync.c, thread.c:
	
	Fixes for atexit priorities.

2004-06-16 16:50  pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Use signed integer to specify priority in coin_atexit().

2004-06-16 16:14  mortene

	* src/nodes/: SoTextureCoordinateCube.cpp,
	SoTextureCoordinateCylinder.cpp, SoTextureCoordinateSphere.cpp:
	
	Bugfixes: set correct version on new nodes.

2004-06-16 16:13  mortene

	* include/Inventor/nodes/: SoNode.h, SoSubNodeP.h:
	
	Make room for Coin 2.3 node additions.

2004-06-16 15:22  pederb

	* src/: errors/error.c, base/SbImage.cpp:
	
	Use COIN_THREADSAFE, not HAVE_THREADS.

2004-06-16 15:20  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	Fix potential bug. Don't test for HAVE_THREADS before touching the
	texture image. Reported by Tore Kristiansen.

2004-06-16 13:56  thammer

	* src/nodes/SoFile.cpp:
	
	Fixed hang (read from stdin) when SoFile::name is set to the empty
	string.

2004-06-16 13:11  pederb

	* include/Inventor/misc/SoGlyph.h, src/misc/SoGlyph.cpp:
	
	Compile fixes.

2004-06-16 12:56  pederb

	* include/Inventor/caches/Makefile.am,
	include/Inventor/caches/SoGlyphCache.h, src/caches/Makefile.am,
	src/caches/SoGlyphCache.cpp, src/caches/all-caches-cpp.cpp,
	src/fonts/all-fonts-c.c, src/fonts/default2dfont.c,
	src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/freetype.c, src/fonts/freetype.h, src/fonts/glyph2d.c,
	src/fonts/glyph2d.h, src/fonts/glyph3d.c, src/fonts/glyph3d.h,
	src/fonts/win32.c, src/fonts/win32.h, src/misc/SoGlyph.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/vrml97/Text.cpp:
	
	Font/glyph bugfixes and mem leak fixes from Coin development.
	Bootstrap.

2004-06-16 12:47  mortene

	* THANKS:
	
	Adds Frank Lindeman for assisting in fixing an SoQt bug.

2004-06-16 11:48  preng

	* src/engines/SoCalculator.cpp:
	
	Added .iv usage example

2004-06-16 11:37  jornskaa

	* src/actions/SoBoxHighlightRenderAction.cpp:
	
	Fixed to use the correct bounding box

2004-06-16 10:11  jornskaa

	* src/actions/SoBoxHighlightRenderAction.cpp:
	
	Bugfix: corrects highlighting, don't highlight non-selected
	geometry.

2004-06-15 15:04  mortene

	* src/: Makefile.am, threads/Makefile.am, threads/all-threads-c.c:
	
	Build fixes: SbStorage / cc_storage should now be built even though
	thread-abstractions are not available.

2004-06-15 14:46  mortene

	* src/vrml97/Group.cpp:
	
	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 14:43  mortene

	* src/: shapenodes/SoShape.cpp, fields/SoFieldContainer.cpp:
	
	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 14:38  mortene

	* src/nodes/: SoLevelOfDetail.cpp, SoLinearProfile.cpp,
	SoNurbsProfile.cpp, SoSeparator.cpp, SoTextureCoordinateCube.cpp,
	SoTextureCoordinateCylinder.cpp, SoTextureCoordinateSphere.cpp:
	
	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 14:18  mortene

	* src/misc/: SoDB.cpp, SoGL.cpp, SoGLBigImage.cpp, SoGLImage.cpp:
	
	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 13:05  mortene

	* src/io/SoInput.cpp:
	
	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 12:55  kintel

	* packaging/macosx/: inst-dmg-files/.DS_Store,
	noinst-dmg-files/.DS_Store:
	
	Size adjustment

2004-06-15 12:45  kintel

	* packaging/macosx/makedmg.sh.in, Makefile.am:
	
	Renamed background.png to coin_dmg_bg.tiff

2004-06-15 12:45  kintel

	* packaging/macosx/background.tiff:
	
	New Coin logo

2004-06-15 12:42  kintel

	* packaging/macosx/: inst-dmg-files/background.png,
	inst-dmg-files/coin_dmg_bg.tiff, noinst-dmg-files/background.png,
	noinst-dmg-files/coin_dmg_bg.tiff:
	
	New Coin logo

2004-06-15 11:58  mortene

	* src/threads/storage.c:
	
	Internal interface fix: make SbStorage / cc_storage work even when
	no cc_thread and cc_mutex abstractions are available.

2004-06-15 10:33  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Bugfix: plug memleak.

2004-06-14 15:02  mortene

	* src/: fields/SoMFString.cpp, fields/SoSFString.cpp,
	io/SoOutput.cpp:
	
	Bugfix: backslash-quote backslashes for VRML97.

2004-06-14 13:44  mortene

	* src/io/SoOutput.cpp:
	
	Bugfix: don't backslash-quote backslashes.

2004-06-14 11:11  kintel

	* packaging/macosx/: inst-README-.txt.in,
	inst-README-Jaguar.txt.in, inst-README-Panther.txt.in:
	
	Minor update

2004-06-14 11:09  kintel

	* packaging/macosx/: Coin_Info.plist.in, makecoinpkg.sh.in:
	
	Include /Library/Framework in install path

2004-06-11 14:42  mortene

	* src/glue/win32api.c:
	
	Clean-up: fix static memleak, patch by Dan @ goldensoftware.

2004-06-11 13:02  mortene

	* src/io/SoInput.cpp:
	
	Compile fix: faulty typedef, reported by Dan @ goldensoftware.

2004-06-11 10:49  mortene

	* src/misc/SoBase.cpp:
	
	Doc: even more API doc on SoBase::setName().

2004-06-11 10:27  mortene

	* src/: base/SbName.cpp, misc/SoBase.cpp:
	
	Doc: improved API doc on SoBase naming.

2004-06-11 09:39  mortene

	* src/base/SbVec3f.cpp:
	
	Doc: improved support doc on SbVec3f::normalize() warnings.

2004-06-09 10:26  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Tiny fix: err msgs reported wrong function.

2004-06-09 10:25  mortene

	* src/glue/gl.c:
	
	Minor cleanup: remove unneeded macro def.

2004-06-08 12:25  pederb

	* THANKS:
	
	Adds Nikolai Ruhe.

2004-06-08 12:16  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Robustness: handle inability to make offscreen context.

2004-06-08 12:16  mortene

	* src/glue/: gl.c, gl_wgl.c:
	
	Robustness: handle inability to make offscreen context. Improved
	error reporting.

2004-06-07 15:42  mortene

	* src/fonts/win32.c:
	
	Clean-up: simplified unnecessary use of two-element arrays.

2004-06-07 14:53  pederb

	* src/fonts/win32.c:
	
	Don't free a NULL-pointer.

2004-06-07 12:35  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Reverse the patch from 2004-06-03 that attempted to avoid creating
	a node in setAnyPart().

2004-06-04 14:56  pederb

	* src/fonts/fontlib_wrapper.c:
	
	Fixed memory leak. Bug reported by dan @ goldensoftware.

2004-06-04 12:24  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Robustness improvement: warning when trying to access a private
	part of the catalog.

2004-06-03 11:28  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Bugfix in setAnyPart(). Avoid creating a part that will be replaced
	soon anyway. Problem reported by Nikolai Ruhe.

2004-06-01 14:59  kintel

	* FAQ, FAQ.legal, README.MACOSX, src/events/SoKeyboardEvent.cpp,
	src/misc/SoDB.cpp, src/misc/SoInteraction.cpp,
	src/nodes/SoEventCallback.cpp, src/sensors/SoSensorManager.cpp:
	
	Added Sc21 to doc

2004-06-01 14:57  kintel

	* packaging/macosx/: CoinTools_Info.plist.in, Coin_Info.plist.in,
	makecoinpkg.sh.in, makecointoolspkg.sh.in:
	
	Added support for installer background

2004-06-01 14:51  kintel

	* packaging/macosx/: CoinTools_Description.plist.in,
	Coin_Description.plist.in:
	
	cosmetics

2004-06-01 14:46  kintel

	* Makefile.am:
	
	Added packaging/macosx/background.tiff

2004-06-01 14:45  kintel

	* packaging/macosx/background.tiff:
	
	Mac OS X installer background

2004-05-28 15:57  kintel

	* Makefile.am, packaging/macosx/CoinTools_Welcome.rtf,
	packaging/macosx/Coin_Welcome.rtf, packaging/macosx/License.rtf,
	packaging/macosx/makecoinpkg.sh.in,
	packaging/macosx/makecointoolspkg.sh.in,
	packaging/macosx/CoinTools_Welcome.rtfd/TXT.rtf,
	packaging/macosx/Coin_Welcome.rtfd/TXT.rtf,
	packaging/macosx/License.rtfd/TXT.rtf:
	
	Mac OS X: Renamed *.rtfd -> *.rtf for simplicity

2004-05-28 15:34  kintel

	* Info.plist, Info.plist.in, Makefile.am, version.plist.in:
	
	Mac OS X: Correct version in Info.plist, added version.plist

2004-05-26 20:22  thammer

	* src/vrml97/ElevationGrid.cpp:
	
	Bugfix, use correct default texture coordinates when rendering
	quadstrips.

2004-05-25 13:14  pederb

	* src/misc/SoChildList.cpp:
	
	Change from assert to strict warning when changes in the scene
	graph layout is detected during traversal.

2004-05-25 10:13  pederb

	* include/Inventor/SbViewVolume.h, src/base/SbViewVolume.cpp:
	
	Add missing methods (vs. SGI Inventor.

2004-05-25 09:03  pederb

	* src/draggers/SoSpotLightDragger.cpp:
	
	Fix assert-when-dragging bug. Reported by kurt@etools.com

2004-05-24 14:24  pederb

	* src/nodes/: SoTextureCombine.cpp, SoTextureCoordinate2.cpp,
	SoTextureCoordinateCube.cpp, SoTextureCoordinateCylinder.cpp,
	SoTextureCoordinatePlane.cpp, SoTextureCoordinateSphere.cpp:
	
	Be more robust when multitexturing is not available.

2004-05-21 12:08  pederb

	* src/elements/SoLightElement.cpp:
	
	Avoid reference counting of light nodes. Problem reported by
	Sigmund Berntsen.

2004-05-21 10:39  mortene

	* include/Inventor/C/glue/gl.h:
	
	Compilation fix: remove extra semicolon at end of line.

2004-05-13 11:03  pederb

	* src/threads/: worker.c, wpool.c:
	
	Fix potential deadlock bugs.

2004-05-10 18:50  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	Activate support for SoTextureCombine.

2004-05-10 18:43  pederb

	* src/elements/GL/SoGLMultiTextureImageElement.cpp:
	
	Activate support for SoTextureCombine.

2004-05-10 11:54  pederb

	* THANKS:
	
	Adds Bernhard Reitinger.

2004-05-10 11:53  pederb

	* src/fields/SoField.cpp:
	
	Support for enableConnection(). Bug reported by Bernhard Reitinger.

2004-05-06 15:25  mortene

	* src/glue/GLUWrapper.c:
	
	Build fix: make sure windows.h is included before GL/gl.h.

2004-04-30 20:18  kintel

	* src/misc/SoSceneManager.cpp:
	
	compile fix

2004-04-30 10:04  pederb

	* src/sensors/SoSensorManager.cpp:
	
	Minor compile/build fix.

2004-04-29 21:18  kintel

	* src/sensors/SoSensorManager.cpp:
	
	Handle delayqueue timeouts internally instead of requiring this to
	be handled in the GUI libraries. Disable delayqueue timeouts on
	zero interval

2004-04-29 21:15  kintel

	* src/misc/SoSceneManager.cpp:
	
	bugfix: Update the global field after render(), not redraw() to
	avoid starvation if we have slow realtime updated or delayqueue
	timeouts

2004-04-29 21:12  kintel

	* src/nodes/SoRotor.cpp:
	
	bugfix: Use a fieldsensor on the realTime field instead of a
	timersensor to avoid continuous updates on zero realtime interval

2004-04-29 20:55  kintel

	* src/misc/SoDB.cpp:
	
	bugfix: Using SbTime::zero() as a realtime interval should disable
	realtime updates

2004-04-29 20:53  kintel

	* src/nodes/SoExtSelection.cpp:
	
	cosmetic; use SbTime::zero()

2004-04-28 17:02  pederb

	* src/glue/gl.c:
	
	remove debug.

2004-04-28 16:14  pederb

	* src/misc/SoGLImage.cpp:
	
	Change to new and safer proxy texture test.

2004-04-28 16:10  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Proxy texture support.

2004-04-28 16:08  pederb

	* src/glue/gl.c:
	
	Fix C++ comments.

2004-04-27 16:09  pederb

	* src/: misc/SoGLImage.cpp, nodes/SoTexture2.cpp,
	vrml97/ImageTexture.cpp, vrml97/PixelTexture.cpp:
	
	Support SoTextureScalePolicy::SCALE_DOWN

2004-04-27 15:39  pederb

	* src/vrml97/Background.cpp:
	
	Bugfix for recently introduced bug.

2004-04-27 11:14  mortene

	* src/vrml97/Background.cpp:
	
	Bugfix: any scene with a VRML97 Background node would redraw
	non-stop, now fixed.

2004-04-27 11:02  mortene

	* THANKS, src/vrml97/Background.cpp:
	
	Bugfix: build up internal geometry when reaching GLRender(), so it
	is guaranteed to be present when rendering.

2004-04-26 12:10  pederb

	* data/draggerDefaults/transformerDragger.iv:
	
	Squish-fix for SoTransformerDragger/Manip. Bug reported by Dan @
	Goldensoftware.

2004-04-26 10:28  larsa

	* src/details/SoFaceDetail.cpp:
	
	doc update

2004-04-23 13:47  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Get better quality output by setting a more sensible transparency
	mode as default, and by getting best quality from any big-image
	items in the scene.

2004-04-23 13:09  pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp:
	
	Bugfix for SoGLBigImage in multiple contexts.

2004-04-23 10:07  pederb

	* src/fields/SoField.cpp:
	
	Fix ugly bug in SoField::get() when buffer exceeded 1024 bytes. Bug
	reported by Gerhard Reitmayr.

2004-04-22 18:06  pederb

	* THANKS:
	
	Adds Danny He

2004-04-22 18:03  pederb

	* src/actions/SoLineHighlightRenderAction.cpp:
	
	Bugfix for drawstyle override.

2004-04-22 17:13  pederb

	* src/elements/SoTextureCoordinateElement.cpp:
	
	Make Coin more robust when too few texture coordinates are
	supplied.

2004-04-22 13:23  pederb

	* src/vrml97/ElevationGrid.cpp:
	
	Fix for colorPerVertex bug. Reported by thammer.

2004-04-22 13:01  pederb

	* src/vrml97/IndexedShape.cpp:
	
	Fix potential bug when setting up normals for vrml shapes.

2004-04-22 11:18  pederb

	* src/glue/gl_wgl.c:
	
	Typofix. Caused memory leaks when allocating offscreen buffers
	under Windows. Bug reported by Kyrah.

2004-04-21 12:10  mortene

	* README.SUN:
	
	Mention possible workarounds for problems found by Fedem.

2004-04-21 11:57  mortene

	* src/elements/GL/SoGLTextureCoordinateElement.cpp:
	
	Better robustness: warn instead of assert on too few texture
	coordinates.

2004-04-20 10:48  pederb

	* src/fields/SoSFUInt32.cpp:
	
	readValue() always returned FALSE. Bug reported by Gerhard
	Reitmayr.

2004-04-20 10:10  pederb

	* src/shapenodes/SoIndexedShape.cpp:
	
	Bugfix for uninitialized memory read when rendering IndexedFaceSets
	with no normals. Bug reported by Gerhard Reitmayr.

2004-04-19 17:52  pederb

	* src/sensors/SoDelayQueueSensor.cpp:
	
	setPriority() documentation.

2004-04-19 11:31  pederb

	* src/nodes/SoCamera.cpp:
	
	Improved stereo rendering/control.

2004-04-15 16:18  pederb

	* src/shapenodes/soshape_bigtexture.cpp:
	
	compile fix.

2004-04-15 14:53  pederb

	* src/actions/SoAction.cpp:
	
	Do SoDB::readlock()/readunlock() when before/after traversing the
	scene graph.

2004-04-15 12:47  pederb

	* THANKS:
	
	Adds Rob Smallshire.

2004-04-15 12:23  pederb

	* src/shapenodes/: soshape_bigtexture.cpp, soshape_bigtexture.h:
	
	Fixes to better handle REPEAT texture wrap mode. Problem reported
	by Rob Smallshire.

2004-04-15 10:49  pederb

	* src/base/SbMatrix.cpp:
	
	Bugfix for multVecMatrix(SbVec4f).

2004-04-15 10:31  pederb

	* src/nodes/SoTextureCoordinatePlane.cpp:
	
	Bugfix for generatePrimitives().

2004-04-13 18:23  pederb

	* src/vrml97/ImageTexture.cpp:
	
	generatePrimitives() texture coordinate fix.

2004-04-09 20:55  kyrah

	* src/glue/gl_agl.c:
	
	Fixed c+p bug in debug output.

2004-04-02 14:40  mortene

	* src/base/: SbDPMatrix.cpp, SbMatrix.cpp:
	
	Use inline function instead of macro, to work around compiler
	warnings on the Tru64 UNIX CC compiler.

2004-04-02 14:23  mortene

	* INSTALL, THANKS:
	
	Corrects documentation of --with-mesa. Thanks to Soren Rex.

2004-04-02 14:04  pederb

	* src/base/time.c:
	
	Tru64 compiler warning fix.

2004-04-02 13:01  pederb

	* src/: elements/SoBumpMapCoordinateElement.cpp,
	elements/SoTextureUnitElement.cpp, nodes/SoSeparator.cpp:
	
	Fix function signatures. Problem reported by Sören Rex.

2004-04-01 13:15  pederb

	* src/io/SoOutput.cpp:
	
	A bit more compact output if setCompact(TRUE) is called.

2004-03-30 16:39  pederb

	* src/upgraders/: Makefile.am, SoShapeHintsV10.cpp,
	SoShapeHintsV10.h, SoUpgrader.cpp, all-upgraders-cpp.cpp:
	
	SoShapeHintsV10 upgrader. By Mark D. Anderson. Some fixes by
	pederb.

2004-03-30 14:16  kintel

	* src/misc/SoSceneManager.cpp:
	
	doc fix + cosmetics

2004-03-29 17:26  pederb

	* src/threads/recmutex.c:
	
	recmutex bugfix. Bug reported by kintel.

2004-03-26 11:54  pederb

	* THANKS:
	
	Add Kevin Nolan.

2004-03-26 11:29  pederb

	* src/misc/SoDB.cpp:
	
	Allow engines at the top-level of a file.

2004-03-25 17:59  kyrah

	* src/Makefile.am:
	
	Pass headerpad flag on to libtool.

2004-03-25 17:21  kyrah

	* configure.ac, src/Makefile.am:
	
	Pad the install_name to maximum install path length, to make it
	possible to change it later (e.g. to include the library in an app
	bundle).

2004-03-25 16:45  pederb

	* src/lists/SoAuditorList.cpp:
	
	Thread safe fix.

2004-03-25 16:43  pederb

	* src/misc/SoDB.cpp:
	
	Rewrite to use internal mutex in recmutexp.h when notify-locking.

2004-03-25 16:38  pederb

	* include/Inventor/C/threads/recmutexp.h, src/threads/recmutex.c:
	
	New internal recursive mutex.

2004-03-25 16:07  pederb

	* src/engines/: SoEngine.cpp, SoNodeEngine.cpp:
	
	Call inputChanged() only when notified through an engine field. Bug
	reported by Kevin Nolan.

2004-03-25 14:12  pederb

	* include/Inventor/SoInput.h, src/misc/SoBase.cpp,
	src/io/SoInput.cpp, src/io/SoInput_FileInfo.cpp,
	src/io/SoInput_FileInfo.h:
	
	PROTO fixes. Need to search for PROTO in current SoInput instance
	first, since two files can have PROTOs with the same name.

2004-03-25 13:53  pederb

	* src/misc/SoProto.cpp:
	
	Thread safe fixes.

2004-03-25 13:47  pederb

	* src/misc/SoProtoInstance.cpp:
	
	Fix a couple of ugly bugs. Thread safe fixes.

2004-03-25 11:34  pederb

	* src/engines/: SoEngine.cpp, SoNodeEngine.cpp:
	
	Thread safety fix.

2004-03-25 11:28  pederb

	* src/fields/SoField.cpp:
	
	Improve thread safety by using a recursive mutex when evaluating
	fields.

2004-03-25 11:24  pederb

	* include/Inventor/C/threads/recmutexp.h, src/threads/recmutex.c,
	src/threads/thread.c:
	
	Add internal lock.

2004-03-25 10:21  larsa

	* src/vrml97/Background.cpp:
	
	correct typing

2004-03-25 10:04  pederb

	* src/engines/: SoEngine.cpp, SoNodeEngine.cpp:
	
	Reverse recent thread safety patch.

2004-03-25 09:51  pederb

	* src/misc/SoDB.cpp:
	
	Simplify/optimize thread safety by not allowing several threads to
	notify at the same time.

2004-03-25 09:44  pederb

	* include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/recmutex.h,
	include/Inventor/C/threads/recmutexp.h, src/threads/Makefile.am,
	src/threads/all-threads-c.c, src/threads/recmutex.c:
	
	Adds recursive mutex.

2004-03-24 16:17  pederb

	* src/engines/: SoEngine.cpp, SoNodeEngine.cpp:
	
	Sync with Coin development. We need to add the engine to the
	notification list.

2004-03-24 16:14  pederb

	* src/engines/: SoEngine.cpp, SoNodeEngine.cpp:
	
	Thread safe engine evaluate.

2004-03-24 15:57  pederb

	* include/Inventor/C/threads/sync.h, src/threads/sync.c:
	
	New cc_sync_free() function.

2004-03-23 17:13  pederb

	* src/engines/SoOutputData.cpp:
	
	Fix recently introduced VRML97 animation bug.

2004-03-23 12:49  pederb

	* src/nodes/: SoTextureCoordinateCube.cpp,
	SoTextureCoordinateCylinder.cpp, SoTextureCoordinateSphere.cpp:
	
	Doc. fix.

2004-03-23 12:28  pederb

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	
	Added global SoDB lock functions.

2004-03-23 12:14  pederb

	* src/io/SoInput.cpp:
	
	Make it possible to load files from other threads.

2004-03-23 11:22  pederb

	* src/nodes/SoNode.cpp:
	
	Make SoNode more threadsafe.

2004-03-22 17:09  larsa

	* src/misc/SoDB.cpp:
	
	doc tweak *did* work

2004-03-22 16:15  larsa

	* src/misc/SoDB.cpp:
	
	doc tweak did not work

2004-03-22 12:40  larsa

	* src/misc/: SoDB.cpp, SoType.cpp:
	
	insert a couple of doxygen \refs

2004-03-22 11:43  pederb

	* src/nodes/SoTextureCombine.cpp:
	
	Improved GL-support test.

2004-03-19 17:18  larsa

	* configure.ac, src/tidbits.c:
	
	also check for ieeefp.h's fpclass()

2004-03-17 17:31  larsa

	* src/vrml97/Background.cpp:
	
	improved typing

2004-03-17 09:38  pederb

	* src/fields/: SoMFInt32.cpp, SoMFUInt32.cpp, SoSFInt32.cpp,
	SoSFUInt32.cpp:
	
	MKS compile fixes. Problem reported by Winnie E. Wong.

2004-03-16 17:28  larsa

	* src/misc/: Makefile.am, SoDB.cpp, systemsanity.icc:
	
	GCC 3.3.1/3.3.2 __bultin_expect()+assert() bug detection

2004-03-16 12:52  larsa

	* include/Inventor/C/basic.h.in:
	
	avoid redefinition conflicts when used together with other
	libraries that also define the math functions

2004-03-16 09:46  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Fix function signature.

2004-03-15 15:13  pederb

	* src/glue/normalization_cubemap.c:
	
	Make it possible to set the normalization cubemape size using an
	environment variable.

2004-03-12 17:48  pederb

	* include/Inventor/: VRMLnodes/SoVRMLMacros.h,
	engines/SoSubEngine.h, engines/SoSubNodeEngine.h,
	nodekits/SoSubKit.h, nodekits/SoSubKitP.h, nodes/SoSubNode.h:
	
	Thread safe macros.

2004-03-12 17:15  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Thread safe fix.

2004-03-12 17:13  pederb

	* include/Inventor/nodekits/SoNodekitCatalog.h,
	src/nodekits/SoNodekitCatalog.cpp:
	
	Some methods made thread safe.

2004-03-12 17:11  pederb

	* include/Inventor/fields/SoFieldData.h,
	src/fields/SoFieldData.cpp:
	
	Thread safe addField() and addEnumValue().

2004-03-12 17:09  pederb

	* include/Inventor/engines/SoOutputData.h,
	src/engines/SoOutputData.cpp:
	
	Thread safe addOutput().

2004-03-12 17:08  pederb

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp:
	
	Rename globalLock() to staticDataLock().

2004-03-12 11:11  larsa

	* src/misc/SoDB.cpp:
	
	simplify

2004-03-12 10:34  pederb

	* include/Inventor/fields/SoFieldContainer.h,
	src/fields/SoFieldContainer.cpp:
	
	Remove recently introduces functions. It was a bad idea.

2004-03-11 15:16  pederb

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp:
	
	New internal methods needed for thread safe node/engine construct.

2004-03-11 15:00  pederb

	* include/Inventor/fields/SoFieldContainer.h,
	src/fields/SoFieldContainer.cpp:
	
	New internal methods needed for thread safe node/engine construct.

2004-03-11 12:42  pederb

	* src/fields/SoFieldContainer.cpp:
	
	Support for thread safe node copy.

2004-03-11 11:49  pederb

	* include/Inventor/SoOffscreenRenderer.h,
	src/misc/SoOffscreenRenderer.cpp:
	
	New CRT-safe method for fetching supported export formats.

2004-03-09 15:29  larsa

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/system/gl.h.in, packaging/debian/copyright.in,
	src/base/SbViewportRegion.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/elements/SoTextureCombineElement.cpp, src/glue/gl.c,
	src/nodekits/SoBaseKit.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoTextureCombine.cpp, src/shapenodes/SoShape.cpp,
	src/shapenodes/soshape_bumprender.cpp:
	
	demutilate copyright headers

2004-03-09 12:08  kintel

	* src/glue/dl.c:
	
	Don't look in /usr/local/lib by default

2004-03-08 15:42  pederb

	* src/misc/SoType.cpp:
	
	Better CC -64 fix from Coin development.

2004-03-08 15:40  pederb

	* src/misc/SoType.cpp:
	
	Compile fix for 64 bit IRIX CC compiler.

2004-03-08 12:14  pederb

	* docs/coin.doxygen.in:
	
	Doxygen update.

2004-03-08 12:13  handegar

	* src/shapenodes/SoText2.cpp:
	
	Fixed bbox issue for empty strings.

2004-03-08 12:09  pederb

	* src/elements/SoElement.cpp:
	
	Initialize SoTextureCombineElement.

2004-03-08 11:55  larsa

	* NEWS:
	
	new nodes

2004-03-08 11:21  pederb

	* src/nodes/SoNode.cpp:
	
	Compile fix.

2004-03-08 11:12  pederb

	* include/Inventor/elements/Makefile.am,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/nodes/SoTextureCoordinateCube.h,
	include/Inventor/nodes/SoTextureCoordinateCylinder.h,
	include/Inventor/nodes/SoTextureCoordinateSphere.h,
	src/elements/Makefile.am, src/elements/SoTextureCombineElement.cpp,
	src/elements/all-elements-cpp.cpp, src/nodes/Makefile.am,
	src/nodes/SoNode.cpp, src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/all-nodes-cpp.cpp:
	
	New nodes from Coin development.

2004-03-05 15:30  pederb

	* src/: glue/zlib.c, io/gzmemio.c, io/gzmemio.h:
	
	Fixed ugly bug when reading from compressed zlib buffers. Bug
	reported by kintel.

2004-03-05 10:45  larsa

	* configure.ac:
	
	make configure tests more strict

2004-03-04 15:52  larsa

	* cfg/errors.txt:
	
	bootstrap

2004-03-04 15:38  larsa

	* configure.ac:
	
	run configure-script test i C mode

2004-03-04 12:34  pederb

	* src/glue/: bzip2.c, zlib.c:
	
	Fixed crash-bug when attempting to load bzip2 or gzip file with
	missing libbz2.so or libzlib.so.

2004-03-04 11:26  handegar

	* src/shapenodes/soshape_bumprender.cpp:
	
	Added a newline to the header of the fragment program.

2004-03-03 17:01  pederb

	* src/fields/SoField.cpp:
	
	Fixed bug when reading a field connection without a default value.
	Bug reported by Sebastian Paul.

2004-03-01 11:33  pederb

	* include/Inventor/SbBSPTree.h, src/base/SbBSPTree.cpp:
	
	New functions to work around CRT problems.

2004-02-27 12:36  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Doc.

2004-02-27 11:49  pederb

	* src/elements/GL/SoGLCacheContextElement.cpp:
	
	Doc. fix.

2004-02-27 11:41  larsa

	* README.CVS:
	
	wait till later with commit

2004-02-27 11:40  larsa

	* README.CVS, README.WIN32, src/glue/gl.c:
	
	warn only once about indirect rendering

2004-02-27 11:30  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Vertex Buffer Object cleanup.

2004-02-27 10:29  pederb

	* src/shapenodes/SoText3.cpp:
	
	Bugfix for SoGetPrimitiveCountAction.

2004-02-26 18:03  pederb

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/GL/SoGLCacheContextElement.cpp:
	
	New function scheduleDeleteCallback().

2004-02-26 14:16  pederb

	* src/glue/: gl_glx.c, gl_agl.c:
	
	Fix for alpha channel for software offscreen renderer.

2004-02-26 13:23  pederb

	* src/glue/gl_wgl.c:
	
	Alpha channel also for software offscreen buffers.

2004-02-26 10:53  handegar

	* src/actions/SoGLRenderAction.cpp:
	
	Minor doc fix.

2004-02-25 17:31  kyrah

	* src/nodes/SoFont.cpp:
	
	Comment: On Mac OS X, freetype 2.1.7 is required.

2004-02-25 16:08  larsa

	* src/nodes/SoFont.cpp:
	
	doc update

2004-02-25 10:47  larsa

	* include/Inventor/actions/SoGLRenderAction.h:
	
	remove handegar typo

2004-02-25 10:40  handegar

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:
	
	Moved in sorted layers blend support from the 'Coin' cvs.

2004-02-25 02:42  kintel

	* README.MACOSX:
	
	General updates; fix broken links, add 10.3 (Panther) information

2004-02-24 23:18  kintel

	* packaging/macosx/: inst-README-.txt.in,
	inst-README-Jaguar.txt.in, inst-README-Panther.txt.in:
	
	Added note about CoinTools

2004-02-24 21:34  kintel

	* packaging/macosx/: inst-dmg-files/.DS_Store,
	noinst-dmg-files/.DS_Store:
	
	Updated icon placement

2004-02-24 20:56  kintel

	* packaging/macosx/: inst-README-.txt.in,
	inst-README-Jaguar.txt.in, inst-README-Panther.txt.in,
	noinst-README-.txt.in, noinst-README-Jaguar.txt.in,
	noinst-README-Panther.txt.in:
	
	Cosmetics

2004-02-24 20:56  kintel

	* packaging/macosx/makeinstdmg.sh.in:
	
	Moved CoinTools.pkg to root

2004-02-24 17:32  kintel

	* Makefile.am, packaging/macosx/makeinstdmg.sh.in:
	
	Removed uninstall-coin.pl

2004-02-24 17:31  kintel

	* packaging/macosx/uninstall-coin.pl:
	
	removed unused file

2004-02-24 15:43  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Make it possible to enable VBO rendering using COIN_ENABLE_VBO.

2004-02-24 14:54  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Also put indices in a VBO.

2004-02-24 12:29  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Support for VBO rendering.

2004-02-24 09:53  pederb

	* src/io/: SoInput.cpp, SoInput_FileInfo.h:
	
	Forgotten commit after file input optimization.

2004-02-24 02:40  kintel

	* Makefile.am:
	
	Add macosx version specific README files

2004-02-24 02:39  kintel

	* configure.ac:
	
	Detect MACOSX name

2004-02-24 02:37  kintel

	* packaging/macosx/: README.txt.in, inst-README-.txt.in,
	inst-README-Jaguar.txt.in, inst-README-Panther.txt.in,
	makeinstdmg.sh.in, makenoinstdmg.sh.in, noinst-README-.txt.in,
	noinst-README-Jaguar.txt.in, noinst-README-Panther.txt.in,
	inst-dmg-files/.DS_Store, noinst-dmg-files/.DS_Store:
	
	README fixes (Panther/Jaguar versions)

2004-02-23 20:10  kintel

	* packaging/macosx/checklist.txt:
	
	Specify correct versions

2004-02-23 17:06  pederb

	* src/io/SoInput_FileInfo.cpp:
	
	Fix for future memleak.

2004-02-23 17:05  pederb

	* src/threads/worker.c:
	
	Fix for recently introduces bug.

2004-02-23 14:04  pederb

	* include/Inventor/C/threads/workerp.h, src/threads/worker.c:
	
	Rewrote start_thread code a bit to eliminate a bug.

2004-02-20 18:28  pederb

	* src/shapenodes/SoShape.cpp:
	
	Turn off auto-caching when rendering vertex arrays.

2004-02-20 18:20  pederb

	* src/shapenodes/SoShape.cpp:
	
	Vertex array fix.

2004-02-20 13:02  mortene

	* src/shapenodes/SoShape.cpp:
	
	A bit more verbose on a code comment.

2004-02-20 12:58  pederb

	* src/shapenodes/SoShape.cpp:
	
	Only use vertex array rendering for built in shapes.

2004-02-20 12:48  pederb

	* src/shapenodes/SoShape.cpp:
	
	Improved the logic for vertex array rendering a bit.

2004-02-19 15:20  pederb

	* src/shapenodes/SoShape.cpp:
	
	Fixes to handle some VRML97 nodes with vertex array rendering.

2004-02-19 14:41  thammer

	* src/misc/SoDB.cpp:
	
	Bugfix and improved error message

2004-02-19 14:27  pederb

	* src/shapenodes/SoShape.cpp:
	
	Sync with Coin development.

2004-02-19 14:26  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:
	
	Support point and line rendering. Added fit() function.

2004-02-19 12:27  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:
	
	Compile fix

2004-02-19 12:15  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:
	
	Reorganized and cleaned up the code a bit.

2004-02-19 12:07  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/system/gl.h.in, src/glue/gl.c:
	
	Sync with Coin development (vertex and fragment programs).

2004-02-18 20:47  larsa

	* NEWS, configure.ac:
	
	next release will be 2.3

2004-02-18 19:01  kintel

	* packaging/macosx/coin.info.template.in:
	
	README.MAC -> README.MACOSX

2004-02-18 15:38  pederb

	* src/: fields/SoMFBitMask.cpp, fields/SoMFBool.cpp,
	fields/SoMFColor.cpp, fields/SoMFEnum.cpp, fields/SoMFFloat.cpp,
	fields/SoMFInt32.cpp, fields/SoMFMatrix.cpp, fields/SoMFName.cpp,
	fields/SoMFShort.cpp, fields/SoMFString.cpp, fields/SoMFTime.cpp,
	fields/SoMFUInt32.cpp, fields/SoMFUShort.cpp, fields/SoMFVec2f.cpp,
	fields/SoMFVec4f.cpp, fields/SoSFBitMask.cpp, fields/SoSFBool.cpp,
	fields/SoSFColor.cpp, fields/SoSFEnum.cpp, fields/SoSFFloat.cpp,
	fields/SoSFImage.cpp, fields/SoSFImage3.cpp, fields/SoSFInt32.cpp,
	fields/SoSFMatrix.cpp, fields/SoSFName.cpp, fields/SoSFPlane.cpp,
	fields/SoSFRotation.cpp, fields/SoSFShort.cpp,
	fields/SoSFString.cpp, fields/SoSFTime.cpp, fields/SoSFUInt32.cpp,
	fields/SoSFUShort.cpp, fields/SoSFVec2f.cpp, fields/SoSFVec2s.cpp,
	fields/SoSFVec3f.cpp, fields/SoSFVec3s.cpp, fields/SoSFVec4f.cpp,
	io/SoInput.cpp:
	
	Optimized file parsing.

2004-02-18 11:28  pederb

	* src/fields/SoSFInt32.cpp:
	
	Remove bugus read error message.

2004-02-18 10:54  larsa

	* THANKS:
	
	another bugfixer

2004-02-18 10:53  larsa

	* src/nodes/SoEventCallback.cpp:
	
	bugfix, by Andreas Erz

2004-02-17 18:09  pederb

	* src/fields/SoMFVec3f.cpp:
	
	Optimized SoMFVec3f::read1Value().

2004-02-17 15:26  pederb

	* src/base/: SbVec2d.cpp, SbVec2f.cpp, SbVec3d.cpp, SbVec3f.cpp,
	SbVec4d.cpp, SbVec4f.cpp:
	
	Better doc. for equals(). Problem reported by PC John

2004-02-17 13:24  pederb

	* include/Inventor/engines/SoEngine.h, src/engines/SoEngine.cpp,
	src/engines/SoEngineOutput.cpp, src/fields/SoField.cpp:
	
	Handle field value when reading fields connected to an engine. Also
	fixes problem with field convertes not being marked as dirty when
	constructed. Bugs reported by Gerhard Reitmayr.

2004-02-17 10:39  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Correct fix for SoBaseKit::getMatrix().

2004-02-17 08:47  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Bugfix or tmp workaround for problem with SoGetMatrixAction
	sometimes not traversing into nodekits. Someone else needs to
	review the validity of this.

2004-02-17 01:32  mortene

	* src/nodes/SoMatrixTransform.cpp:
	
	FIXME note about potential bug.

2004-02-16 22:02  larsa

	* include/Inventor/C/: base/hash.h, base/heapp.h, glue/freetype.h,
	threads/condvarp.h, threads/mutexp.h, threads/schedp.h,
	threads/threadp.h:
	
	don't #include inside extern 'C' directives

2004-02-16 12:47  pederb

	* src/engines/SoTimeCounter.cpp:
	
	Handle negative step values. Bug reported by Gerhard Reitmayr.

2004-02-16 12:33  pederb

	* src/engines/SoCounter.cpp:
	
	Handle negative step values. Bug reported by  Gerhard Reitmayr.

2004-02-16 12:18  pederb

	* src/shapenodes/SoAsciiText.cpp:
	
	Bugfix for SoGetPrimitiveCountAction.

2004-02-16 11:20  pederb

	* src/shapenodes/SoText3.cpp:
	
	Bugfix for SoGetPrimitiveCountAction.

2004-02-13 15:41  pederb

	* src/vrml97/Extrusion.cpp:
	
	Bumpmap bugfix.

2004-02-13 15:32  pederb

	* src/vrml97/Extrusion.cpp:
	
	Sync with changes in Coin development (multi-texture handling).

2004-02-13 15:22  pederb

	* THANKS:
	
	Add Skjaeldal.

2004-02-13 15:17  pederb

	* src/vrml97/Extrusion.cpp:
	
	Bugfix

2004-02-12 15:45  pederb

	* src/nodekits/SoNodeKitListPart.cpp:
	
	Fix for incorrect notification. Reported by Gerhard Reitmayr.

2004-02-12 14:13  pederb

	* src/sensors/SoDataSensor.cpp:
	
	Fix memory leak. Avoid using SoSearchAction to find data sensor
	path.

2004-02-12 10:20  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Added stub for readImage() function. Problem reported by Tamer
	Fahmy.

2004-02-11 16:01  handegar

	* src/shapenodes/: SoMarkerSet.cpp, SoText2.cpp:
	
	Avoided using SbViewVolume for 2D projection to work around 3D
	stereo rendering error.

2004-02-11 15:28  kyrah

	* configure.ac, src/Makefile.am:
	
	Build two-level namespace libs also on 10.3, not only 10.2. (Fix
	for bug report by kintel.)

2004-02-10 12:10  mortene

	* src/shapenodes/SoMarkerSet.cpp:
	
	Bugfix: was culling on wrong coordinate system.

2004-02-09 14:55  larsa

	* src/: fields/SoField.cpp, nodes/SoMaterial.cpp, nodes/SoNode.cpp:
	
	doc updates

2004-02-07 13:52  pederb

	* src/shapenodes/SoShape.cpp:
	
	Handle lines and points when doing bumpmap rendering.

2004-02-07 13:47  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:
	
	Handle lines and points.

2004-02-06 15:40  pederb

	* src/glue/normalization_cubemap.c:
	
	Fix possible bug.

2004-02-06 14:50  pederb

	* src/actions/SoSearchAction.cpp:
	
	Doc. update.

2004-02-06 12:21  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Bugfix for default multitexture coordinates.

2004-02-04 18:46  kintel

	* Makefile.am:
	
	Renamed README.MAC -> README.MACOSX

2004-02-04 14:01  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	More informative debug output.

2004-02-03 17:51  larsa

	* src/tidbits.c:
	
	note on bad behavior of nprintf fallback implementation

2004-02-03 11:57  pederb

	* THANKS:
	
	Add Flo Ledermann.

2004-02-03 11:56  pederb

	* src/base/SbDPViewVolume.cpp:
	
	Fix to handle negative aspect ratio. Bug reported by Flo Ledermann.

2004-02-03 00:38  kyrah

	* README.MAC, README.MACOSX:
	
	Renamed README.MAC to README.MACOSX since *.mac is commonly
	associated with MacPaint images (at least Quicktime on Windows
	seems to believe this.)

2004-01-29 19:47  kintel

	* packaging/macosx/checklist.txt:
	
	Mention freetype-2.1.5 issue on Panther

2004-01-29 19:33  kintel

	* packaging/macosx/: makecoinpkg.sh.in, makecointoolspkg.sh.in:
	
	Use @sim_ac_packagemaker_app@

2004-01-29 19:33  kintel

	* packaging/macosx/makedmg.sh.in:
	
	Panther fixes

2004-01-29 18:18  kintel

	* configure.ac:
	
	Use new PackageMaker macro

2004-01-29 16:55  kyrah

	* src/glue/gl_agl.c:
	
	gcc-2.95 compile fixes.

2004-01-29 11:39  pederb

	* src/: draggers/SoSpotLightDragger.cpp,
	manips/SoSpotLightManip.cpp:
	
	Bugfix in angle/cutOffAngle handling. Bug reported by
	dan@goldensoftware.com.

2004-01-28 12:32  pederb

	* src/draggers/SoSpotLightDragger.cpp:
	
	Bugfix. Update dragger geometry when angle field changes. Bug
	reported by dan@goldensoftware.com.

2004-01-27 16:28  pederb

	* src/draggers/SoDragger.cpp:
	
	Minor code comment.

2004-01-27 10:49  handegar

	* FAQ:
	
	Doc fix for Q2.4 (font support)

2004-01-26 12:19  handegar

	* FAQ:
	
	Updated info on SoText2/SoText3 font support.

2004-01-24 20:28  kintel

	* src/actions/SoSearchAction.cpp:
	
	Minor doc addition

2004-01-22 16:28  pederb

	* src/base/SbDPViewVolume.cpp:
	
	Bugfix in copyValues(). Bug reported by James Hargrave.

2004-01-22 12:50  pederb

	* include/Inventor/: lists/SbList.h, lists/SbPList.h,
	threads/SbThread.h:
	
	Variable shadowing fixes. By Kristofer Tingdahl.

2004-01-21 11:02  pederb

	* src/nodes/all-nodes-cpp.cpp:
	
	Add missing file. Reported by Mark D. Anderson.

2004-01-21 01:45  kintel

	* Makefile.am:
	
	Add icon to dist

2004-01-21 01:10  kintel

	* packaging/macosx/: makedmg.sh.in,
	inst-dmg-files/.VolumeIcon.icns, noinst-dmg-files/.VolumeIcon.icns:
	
	Custom icon for mounted volume

2004-01-20 16:33  kintel

	* packaging/macosx/CoinTools_Description.plist.in,
	packaging/macosx/CoinTools_Info.plist.in,
	packaging/macosx/Coin_Description.plist.in,
	packaging/macosx/Coin_Info.plist.in,
	packaging/macosx/README.txt.in, packaging/macosx/checklist.txt,
	packaging/macosx/coin.info.template.in,
	packaging/macosx/makecoinpkg.sh.in,
	packaging/macosx/makecointoolspkg.sh.in,
	packaging/macosx/makedmg.sh.in, packaging/macosx/makeinstdmg.sh.in,
	packaging/macosx/makenoinstdmg.sh.in,
	packaging/macosx/uninstall-coin.pl,
	packaging/macosx/CoinTools_Welcome.rtfd/TXT.rtf,
	packaging/macosx/Coin_Welcome.rtfd/TXT.rtf,
	packaging/macosx/License.rtfd/TXT.rtf,
	packaging/macosx/inst-dmg-files/.DS_Store,
	packaging/macosx/inst-dmg-files/Desktop_DB,
	packaging/macosx/inst-dmg-files/Desktop_DF,
	packaging/macosx/inst-dmg-files/background.png,
	packaging/macosx/noinst-dmg-files/.DS_Store,
	packaging/macosx/noinst-dmg-files/Desktop_DB,
	packaging/macosx/noinst-dmg-files/Desktop_DF,
	packaging/macosx/noinst-dmg-files/background.png, Makefile.am,
	configure.ac:
	
	Mac OS X packaging

2004-01-20 11:52  pederb

	* src/shapenodes/SoShape.cpp:
	
	Bumpmap bugfix.

2004-01-19 18:27  pederb

	* src/shapenodes/soshape_bumprender.cpp:
	
	Bugfix for directional light handling.

2004-01-19 18:26  pederb

	* src/shapenodes/SoShape.cpp:
	
	Blend in all light sources in bump map.

2004-01-16 18:08  pederb

	* src/elements/GL/SoGLMultiTextureImageElement.cpp:
	
	Fixed memory leak. Bug reported by dan@goldensoftware.

2004-01-16 12:23  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Bugfix in heightmap to normal map conversion.

2004-01-16 09:04  thammer

	* docs/doxygen/footer.html:
	
	Updated copyright info (2003->2004)

2004-01-15 18:27  larsa

	* NEWS, configure.ac:
	
	set version 2.2.2a

2004-01-15 18:14  larsa

	* docs/: ChangeLog.v2.0.1, ChangeLog.v2.0.2, ChangeLog.v2.1.0,
	ChangeLog.v2.2.0, ChangeLog.v2.2.1:
	
	fix changelogs

2004-01-15 18:11  larsa

	* configure.ac:
	
	version number update

